package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 货位管理信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnStoragelocationService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnStoragelocation(PageData pd)throws Exception {
        return daoSupport.update("SKcKnStoragelocationMapper.addSKcKnStoragelocation", pd);
    }

    public List<PageData> findSKcKnStoragelocationList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnStoragelocationMapper.selectSKcKnStoragelocationList", pd);
    }

    public Integer SKcKnStoragelocationRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnStoragelocationMapper.SKcKnStoragelocationRemove", pd);
    }


    public Integer updateSKcKnStoragelocation(PageData pd)throws Exception {
        return daoSupport.update("SKcKnStoragelocationMapper.updateSKcKnStoragelocation", pd);
    }

}
